<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.8"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kursovaya_tp: student_simulator.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kursovaya_tp
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.8 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function() { init_codefold(0); });
/* @license-end */
</script>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">student_simulator.h</div></div>
</div><!--header-->
<div class="contents">
<a href="student__simulator_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="preprocessor">#ifndef STUDENT_SIMULATOR_H</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="preprocessor">#define STUDENT_SIMULATOR_H</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="foldopen" id="foldopen00011" data-start="{" data-end="};">
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="class_student.html">   11</a></span><span class="keyword">class </span><a class="code hl_class" href="class_student.html">Student</a> </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>{</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="keyword">private</span>:</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    std::string name; </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="keywordtype">int</span> health; </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>     </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="keywordtype">int</span> energy; </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="keywordtype">int</span> iq; </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="keywordtype">int</span> sense;  </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="keywordtype">int</span> emotion;  </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <span class="comment">//  @param[in]  hp - состояние здоровье</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <span class="comment">//  @param[in]  en - энергетический уровень</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="comment">//  @param[in]  i - состояние интеллектуальных способностей</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <span class="comment">//  @param[in]  sen - душевное состояние</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="comment">//  @param[in]  em - эмоциональное состояние</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    <span class="keywordtype">void</span> change_params(<span class="keywordtype">int</span> hp, <span class="keywordtype">int</span> en, <span class="keywordtype">int</span> i, <span class="keywordtype">int</span> sen, <span class="keywordtype">int</span> em);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="comment">//  @param[in]  field - название поля, значение которого необходимо поменять</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    <span class="comment">//  @param[in]  d - значение, на которое необходимо поменять данное поле</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    <span class="keywordtype">void</span> change_field(<span class="keywordtype">int</span>&amp; field, <span class="keywordtype">int</span> d);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="keywordtype">void</span> effects();</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <span class="keywordtype">void</span> show();</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span><span class="keyword">public</span>:</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="comment">//  @param[in]  health - состояние здоровье</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <span class="comment">//  @param[in]  energy - энергетический уровень</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <span class="comment">//  @param[in]  iq - состояние интеллектуальных способностей</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <span class="comment">//  @param[in]  sense - душевное состояние</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <span class="comment">//  @param[in]  emotion - эмоциональное состояние</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    <a class="code hl_class" href="class_student.html">Student</a>(<span class="keywordtype">int</span> health = 100, <span class="keywordtype">int</span> energy = 100, <span class="keywordtype">int</span> iq = 100, <span class="keywordtype">int</span> sense = 100, <span class="keywordtype">int</span> emotion = 100);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="comment">//  @param[in]  name - имя студента</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_student.html#a46e4ce78ef77c2bb7065c1b29592c8b4">SetName</a>(std::string name);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    std::string <a class="code hl_function" href="class_student.html#adc45fd1ab47bde1ac2f31644faa56d21">Name</a>();</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <span class="keywordtype">int</span> <a class="code hl_function" href="class_student.html#a41d75d57279f22937db8743b5d64f354">Health</a>();</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <span class="keywordtype">int</span> <a class="code hl_function" href="class_student.html#a820a1335ce266055c366d4a1e0284b7e">Energy</a>();</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    <span class="keywordtype">int</span> <a class="code hl_function" href="class_student.html#a348561035fa7b49bafcd1118c76182cb">Iq</a>();</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    <span class="keywordtype">int</span> <a class="code hl_function" href="class_student.html#a37e52e20e1f718286495e06c994bc6bd">Sense</a>();</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <span class="keywordtype">int</span> <a class="code hl_function" href="class_student.html#a8751a3fbf38caaf2fc80fb94f8779447">Emotion</a>();</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_student.html#a559d22e68616a2f4b4d99b5ebba2c73c">eat</a>();</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_student.html#a3107fdf6e75990943f2c29584c02193d">have_party</a>();</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_student.html#ad37decdafc35070943409200ae074a45">study</a>();</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_student.html#a1d9dddeaf51372ede18adbd62e46d617">sleep</a>();</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_student.html#a85f39bb096babfdffae0e41bad6d88e1">watch_tv</a>();</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="class_student.html#af55184bcefb72bf62f4c70d0f16689e2">is_alive</a>();</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span> </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>};</div>
</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span><span class="preprocessor">#endif </span><span class="comment">// STUDENT_SIMULATOR_H</span></div>
<div class="ttc" id="aclass_student_html"><div class="ttname"><a href="class_student.html">Student</a></div><div class="ttdef"><b>Definition</b> student_simulator.h:12</div></div>
<div class="ttc" id="aclass_student_html_a1d9dddeaf51372ede18adbd62e46d617"><div class="ttname"><a href="class_student.html#a1d9dddeaf51372ede18adbd62e46d617">Student::sleep</a></div><div class="ttdeci">void sleep()</div><div class="ttdoc">Изменение параметров при нажатии на кнопку “Sleep”</div><div class="ttdef"><b>Definition</b> student_simulator.cpp:86</div></div>
<div class="ttc" id="aclass_student_html_a3107fdf6e75990943f2c29584c02193d"><div class="ttname"><a href="class_student.html#a3107fdf6e75990943f2c29584c02193d">Student::have_party</a></div><div class="ttdeci">void have_party()</div><div class="ttdoc">Изменение параметров при нажатии на кнопку “Have party”</div><div class="ttdef"><b>Definition</b> student_simulator.cpp:74</div></div>
<div class="ttc" id="aclass_student_html_a348561035fa7b49bafcd1118c76182cb"><div class="ttname"><a href="class_student.html#a348561035fa7b49bafcd1118c76182cb">Student::Iq</a></div><div class="ttdeci">int Iq()</div><div class="ttdoc">Изменения интеллектуальных способностей студента</div><div class="ttdef"><b>Definition</b> student_simulator.cpp:57</div></div>
<div class="ttc" id="aclass_student_html_a37e52e20e1f718286495e06c994bc6bd"><div class="ttname"><a href="class_student.html#a37e52e20e1f718286495e06c994bc6bd">Student::Sense</a></div><div class="ttdeci">int Sense()</div><div class="ttdoc">Изменение душевного состояния студента</div><div class="ttdef"><b>Definition</b> student_simulator.cpp:60</div></div>
<div class="ttc" id="aclass_student_html_a41d75d57279f22937db8743b5d64f354"><div class="ttname"><a href="class_student.html#a41d75d57279f22937db8743b5d64f354">Student::Health</a></div><div class="ttdeci">int Health()</div><div class="ttdoc">Изменение состояния здоровья студента</div><div class="ttdef"><b>Definition</b> student_simulator.cpp:51</div></div>
<div class="ttc" id="aclass_student_html_a46e4ce78ef77c2bb7065c1b29592c8b4"><div class="ttname"><a href="class_student.html#a46e4ce78ef77c2bb7065c1b29592c8b4">Student::SetName</a></div><div class="ttdeci">void SetName(std::string name)</div><div class="ttdoc">Изменения имя студента</div><div class="ttdef"><b>Definition</b> student_simulator.cpp:44</div></div>
<div class="ttc" id="aclass_student_html_a559d22e68616a2f4b4d99b5ebba2c73c"><div class="ttname"><a href="class_student.html#a559d22e68616a2f4b4d99b5ebba2c73c">Student::eat</a></div><div class="ttdeci">void eat()</div><div class="ttdoc">Изменение параметров при нажатии на кнопку “Eat”</div><div class="ttdef"><b>Definition</b> student_simulator.cpp:67</div></div>
<div class="ttc" id="aclass_student_html_a820a1335ce266055c366d4a1e0284b7e"><div class="ttname"><a href="class_student.html#a820a1335ce266055c366d4a1e0284b7e">Student::Energy</a></div><div class="ttdeci">int Energy()</div><div class="ttdoc">Изменения энергетического состояния студента</div><div class="ttdef"><b>Definition</b> student_simulator.cpp:54</div></div>
<div class="ttc" id="aclass_student_html_a85f39bb096babfdffae0e41bad6d88e1"><div class="ttname"><a href="class_student.html#a85f39bb096babfdffae0e41bad6d88e1">Student::watch_tv</a></div><div class="ttdeci">void watch_tv()</div><div class="ttdoc">Изменение параметров при нажатии на кнопку “Watch TV”</div><div class="ttdef"><b>Definition</b> student_simulator.cpp:92</div></div>
<div class="ttc" id="aclass_student_html_a8751a3fbf38caaf2fc80fb94f8779447"><div class="ttname"><a href="class_student.html#a8751a3fbf38caaf2fc80fb94f8779447">Student::Emotion</a></div><div class="ttdeci">int Emotion()</div><div class="ttdoc">Изменение эмоционального состояния студента</div><div class="ttdef"><b>Definition</b> student_simulator.cpp:63</div></div>
<div class="ttc" id="aclass_student_html_ad37decdafc35070943409200ae074a45"><div class="ttname"><a href="class_student.html#ad37decdafc35070943409200ae074a45">Student::study</a></div><div class="ttdeci">void study()</div><div class="ttdoc">Изменение параметров при нажатии на кнопку “Study”</div><div class="ttdef"><b>Definition</b> student_simulator.cpp:80</div></div>
<div class="ttc" id="aclass_student_html_adc45fd1ab47bde1ac2f31644faa56d21"><div class="ttname"><a href="class_student.html#adc45fd1ab47bde1ac2f31644faa56d21">Student::Name</a></div><div class="ttdeci">std::string Name()</div><div class="ttdoc">Возвращение имя студента</div><div class="ttdef"><b>Definition</b> student_simulator.cpp:47</div></div>
<div class="ttc" id="aclass_student_html_af55184bcefb72bf62f4c70d0f16689e2"><div class="ttname"><a href="class_student.html#af55184bcefb72bf62f4c70d0f16689e2">Student::is_alive</a></div><div class="ttdeci">bool is_alive()</div><div class="ttdoc">Проверка поля состояния здоровья студента</div><div class="ttdef"><b>Definition</b> student_simulator.cpp:99</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.8
</small></address>
</body>
</html>
